git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

ebtables update breaks ubuntu updates on WSL


On Thu, May 31, 2018 at 8:47 AM, Balint Reczey
<balint.reczey at canonical.com> wrote:
> Hi Dan,
>
> On Thu, May 31, 2018 at 12:39 PM, Dan Streetman
> <dan.streetman at canonical.com> wrote:
>> This isn't a problem with ebtables, it's a problem in WSL.  Note in
>> the long WSL issues bug 1761 you linked to; there are reports of this
>> problem with packages other than just ebtables (for example, that bug
>> starts by complaining about mdadm).
>
> IMO there is a bug in communication.c in ebtables, since this is not a
> permission issue and it should be fixed to enable smooth upgrades in
> WSL.

IMO the "bug" is in ebtables.init and I've taken the lp bug and have a
test ppa; let's move the discussion to the bug if you disagree with my
patch.
https://bugs.launchpad.net/ubuntu/+source/ebtables/+bug/1774120

>
> The error ebtables gets in WSL is EPROTONOSUPPORT.
>
> Cheers,
> Balint
>
>>
>> On Wed, May 30, 2018 at 5:21 PM, Hayden Barnes <redbeardesq at outlook.com> wrote:
>>> List,
>>>
>>>
>>>
>>> The install script in the most recent update to ebtables is preventing
>>> Ubuntu users on WSL from updating.
>>>
>>>
>>>
>>> A temporary workaround exists.
>>>
>>>
>>>
>>> https://bugs.launchpad.net/ubuntu/+source/ebtables/+bug/1774120
>>>
>>>
>>>
>>> https://github.com/Microsoft/WSL/issues/1761
>>>
>>>
>>>
>>> https://www.reddit.com/r/bashonubuntuonwindows/comments/8n9h6o/unable_to_update_ebtables_with_apt/
>>>
>>>
>>>
>>>
>>>
>>> Thanks,
>>>
>>>
>>>
>>> Hayden
>>>
>>>
>>>
>>>
>>> --
>>> Ubuntu-devel-discuss mailing list
>>> Ubuntu-devel-discuss at lists.ubuntu.com
>>> Modify settings or unsubscribe at:
>>> https://lists.ubuntu.com/mailman/listinfo/ubuntu-devel-discuss
>>>
>>
>> --
>> Ubuntu-devel-discuss mailing list
>> Ubuntu-devel-discuss at lists.ubuntu.com
>> Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-devel-discuss
>
>
>
> --
> Balint Reczey
> Ubuntu & Debian Developer